<template>
<div>
  <el-table id="lecture" :data="lectureList" stype="width: 100% height: 200px">
    <el-table-column align="center" type="index" label="No." width="180"></el-table-column>
      <el-table-column align="center" prop="name" :label="$t('LECTURE_LIST.LECTURE_NAME')" width="400"></el-table-column>
      <el-table-column align="center" :label="$t('GRADE.SHORTCUT')">
        <template slot-scope="scope">
          <el-button size="mini"  @click="selectLecture(lectureList[scope.$index].lecture_id)">{{ $t('GRADE.SHORTCUT') }}</el-button>
        </template>
      </el-table-column>
  </el-table>
</div>
</template>
<script>
import { mapActions, mapState, mapGetters, mapMutations } from 'vuex';

export default {
  name: 'ReportLecture',
  data() {
    return {
    };
  },
  computed: {
    ...mapState('reporting', ['lectureList', 'curLectureItems', 'curStep']),
    ...mapGetters('NNclass', [
      'currentStudyingClass',
    ]),
    classId() {
      const vm = this;
      return Number.parseInt(vm.$route.params.classId, 10);
    },

  },
  methods: {
    ...mapActions('reporting', ['getLectureList', 'getLectureItemList']),
    ...mapMutations('reporting', ['updateCurStep', 'updateCurLectureId']),

    async selectLecture(lectureId) {
      const vm = this;

      await vm.getLectureItemList({ lectureId });
      vm.updateCurLectureId({ lectureId });
      vm.updateCurStep({ index: 1 });
    },
  },
};

</script>